<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load widget_tweaks %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'bnk:list' %}">Bancos</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'cli:list' %}">Clientes <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cre:list' %}">Créditos</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <!-- Form update client -->
        <div class="container mt-5">
            <form method="post" enctype="multipart/form-data" class="border rounded p-3">
                {% csrf_token %}
                <div class="row">
                    <!-- Field names -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Nombre(s):</label>
                            {{ form.name|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field last name -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Apellidos(s):</label>
                            {{ form.last_name|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field birthdate -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Fecha de nacimiento:</label>
                            {% render_field form.birth_date type="date" class="form-control" %}
                        </div>
                    </div>
                    <!-- Field age -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Edad:</label>
                            {{ form.age|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field email -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Correo:</label>
                            {{ form.email|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field cellphone -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Teléfono:</label>
                            {{ form.cellphone|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field person type -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Tipo de persona:</label>
                            {{ form.person_type|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field bank -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Banco:</label>
                            {{ form.bank|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field nationality -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Nacionalidad:</label>
                            {{ form.nationality|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field room address -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Dirección de habitación:</label>
                            {{ form.room_address|add_class:"form-control" |attr:"rows:4" }}
                        </div>
                    </div>
                </div>
                <!-- Save button -->
                <button type="submit" class="btn btn-success">Aceptar</button>
                <!-- Cancel button -->
                <a href="{% url 'cli:list' %}"  type="submit" class="btn btn-danger">Cancelar</a>
            </form>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>